Loading...
Searching...
No Matches
casacore::MSStateGram_global_functions_MSStateGramFunctions Struct Reference
ms package (libcasa_ms) » MSSel_module » MSSel_module_internal_classes

More...

`#include <MSStateGram.h>`

## Public Member Functions

int | msStateGramParseCommand (const MeasurementSet *ms, const String &command)
| Declare the bison parser (is implemented by bison command).
int | msStateGramParseCommand (const MeasurementSet *ms, const String &command, Vector< Int > &)
void | MSStateGramerror (const char *)
| The yyerror function for the parser.
const TableExprNode * | msStateGramParseNode ()
| Give the table expression node.
void | msStateGramParseDeleteNode ()
Int & | msStateGramPosition ()
| Give the current position in the string.
int | msStateGramInput (char *buf, int max_size)
| Declare the input routine for flex/bison.

## Detailed Description

Global functions for flex/bison scanner/parser for MSStateGram

### Intended use:

Internal

### Prerequisite

- MSStateGram.l and.y (flex and bison grammar)

### Synopsis

Global functions are needed to define the input of the flex scanner and to start the bison parser. The input is taken from a string.

### Motivation

It is necessary to be able to give an image expression in ASCII. This can be used in glish.

Definition at line 70 of file MSStateGram.h.

## Member Function Documentation

## MSStateGramerror()

void casacore::MSStateGram_global_functions_MSStateGramFunctions::MSStateGramerror | ( | const char * |  | ) |

The yyerror function for the parser.

It throws an exception with the current token.

## msStateGramInput()

int casacore::MSStateGram_global_functions_MSStateGramFunctions::msStateGramInput | ( | char * | buf,
|  | int | max_size )

Declare the input routine for flex/bison.

## msStateGramParseCommand() [1/2]

int casacore::MSStateGram_global_functions_MSStateGramFunctions::msStateGramParseCommand | ( | const MeasurementSet * | ms,
|  | const String & | command )

Declare the bison parser (is implemented by bison command).

## msStateGramParseCommand() [2/2]

int casacore::MSStateGram_global_functions_MSStateGramFunctions::msStateGramParseCommand | ( | const MeasurementSet * | ms,
|  | const String & | command,
|  | Vector< Int > & | )

## msStateGramParseDeleteNode()

void casacore::MSStateGram_global_functions_MSStateGramFunctions::msStateGramParseDeleteNode | ( |  | ) |

## msStateGramParseNode()

const TableExprNode * casacore::MSStateGram_global_functions_MSStateGramFunctions::msStateGramParseNode | ( |  | ) |

Give the table expression node.

## msStateGramPosition()

Int & casacore::MSStateGram_global_functions_MSStateGramFunctions::msStateGramPosition | ( |  | ) |

Give the current position in the string.

This can be used when parse errors occur.

The documentation for this struct was generated from the following file:

- ms/MSSel/MSStateGram.h